defmodule Scopes.Repo.Migrations.CreateMessages do
  use Ecto.Migration

  def change do
    create table(:messages) do
      add :domain, :string
      add :action, :string
      add :class, :string
      add :item, :string
      add :data, :map

      timestamps(type: :utc_datetime)
    end
  end
end
